package org.jboss.community;

import org.apache.log4j.Logger;

public class SetUidService implements SetUidServiceMBean
{
   private Logger log = Logger.getLogger(this.getClass());
   private String username;

   public void setUsername(String username) {
      this.username = username;
   }

   public String getUsername() {
      return username;
   }

   public void start() {
      log.warn("Changing UID of process to: " + getUsername());
      SetUid.Status status = new SetUid().setUid(username);
      if(!status.getSuccess()) {
         log.error("Unable to change process UID to: " + getUsername() 
	   + " --> " + status.getMessage());
      } else {
         log.warn("Changed process UID to: " + getUsername() 
           + " --> " + status.getMessage());
      }
   }
                
   public void stop() {
      log.info("Stopping SetUidService.");
   }           
}

